Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::PointEmitterFactory Class Reference

Factory class for particle emitter of type "Point". More...

`#include <OgrePointEmitterFactory.h>`

Inheritance diagram for Ogre::PointEmitterFactory:

[legend]
List of all members.

## Public Methods

String | getName () const
| See ParticleEmitterFactory.
ParticleEmitter * | createEmitter (void)
| See ParticleEmitterFactory.
virtual void | destroyEmitter (ParticleEmitter *e)
| Destroys the emitter pointed to by the parameter (for early clean up if reauired).

## Protected Attributes

std::vector< ParticleEmitter * > | mEmitters

## Detailed Description

Factory class for particle emitter of type "Point".

Remarks:
  Creates instances of PointEmitter to be used in particle systems.

Definition at line 39 of file OgrePointEmitterFactory.h.

## Member Function Documentation

ParticleEmitter* Ogre::PointEmitterFactory::createEmitter | ( | void |  | ) | `[virtual]`

| See ParticleEmitterFactory. Implements Ogre::ParticleEmitterFactory. Definition at line 51 of file OgrePointEmitterFactory.h.

virtual void Ogre::ParticleEmitterFactory::destroyEmitter | ( | ParticleEmitter * | e | ) | `[virtual, inherited]`

| Destroys the emitter pointed to by the parameter (for early clean up if reauired). Definition at line 75 of file OgreParticleEmitterFactory.h.

String Ogre::PointEmitterFactory::getName | ( | void |  | ) | const`[virtual]`

| See ParticleEmitterFactory. Implements Ogre::ParticleEmitterFactory. Definition at line 45 of file OgrePointEmitterFactory.h. References Ogre::String.

## Member Data Documentation

std::vector<ParticleEmitter*> Ogre::ParticleEmitterFactory::mEmitters`[protected, inherited]`

| Definition at line 49 of file OgreParticleEmitterFactory.h.

The documentation for this class was generated from the following file:

- OgrePointEmitterFactory.h

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:49:59 2004